## spamoracle 1.4

=== Makefile ===
### Configuration section

# The laguages you're interested in, besides English
LANGUAGES=-DFRENCH #-DSPANISH -DITALIAN -DGERMAN -DPORTUGUESE -DJAPANESE

# How to invoke the C preprocessor
CPP=gcc -E -P $(LANGUAGES) -

# Where to install the binary
BINDIR=/usr/local/bin

# Where to install the man pages
MANDIR=/usr/local/man

### End of configuration section

OCAMLC=ocamlc -g
OCAMLLEX=ocamllex
OCAMLDEP=ocamldep
OCAMLOPT=ocamlopt

BYTEOBJS=configfile.cmo config.cmo \
  htmlscan.cmo mail.cmo database.cmo mbox.cmo wordsplit.cmo \
  rankmsg.cmo attachments.cmo processing.cmo main.cmo
BYTELIBS=unix.cma str.cma

NATOBJS=$(BYTEOBJS:.cmo=.cmx)
NATLIBS=$(BYTELIBS:.cma=.cmxa)

all: spamoracle

install:
	cp spamoracle $(BINDIR)/spamoracle
	cp spamoracle.1 $(MANDIR)/man1/spamoracle.1
	cp spamoracle.conf.5 $(MANDIR)/man5/spamoracle.conf.5

spamoracle: $(NATOBJS)
	$(OCAMLOPT) -o spamoracle $(NATLIBS) $(NATOBJS)

clean::
	rm -f spamoracle

spamoracle.byte: $(BYTEOBJS)
	$(OCAMLC) -o spamoracle.byte $(BYTELIBS) $(BYTEOBJS)

clean::
	rm -f spamoracle.byte

wordsplit.mll: wordsplit.mlp
	$(CPP) < wordsplit.mlp > wordsplit.mll \
        || { rm -f wordsplit.mll; exit 2; }

clean::
	rm -f wordsplit.mll

wordsplit.ml: wordsplit.mll
	$(OCAMLLEX) wordsplit.mll

clean::
	rm -f wordsplit.ml

beforedepend:: wordsplit.ml

htmlscan.ml: htmlscan.mll
	$(OCAMLLEX) htmlscan.mll

clean::
	rm -f htmlscan.ml

beforedepend:: htmlscan.ml

clean::
	rm -f *.cm[iox] *.o

.SUFFIXES: .ml .mli .cmo .cmi .cmx

.mli.cmi:
	$(OCAMLC) -c $<
.ml.cmo:
	$(OCAMLC) -c $<
.ml.cmx:
	$(OCAMLOPT) -c $<

depend: beforedepend
	$(OCAMLDEP) *.ml *.mli > .depend

include .depend

=== debian/changelog ===
spamoracle (1.4-15) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Update Vcs-*
  * Bump debhelper compat to 10
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.1
  * Switch to dh and 3.0 (quilt) (Closes: #599320)
  * Add Homepage

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders (Closes: #869315)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Jul 2017 08:13:00 +0200

spamoracle (1.4-14) unstable; urgency=low

  * Update debian/copyright with
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Remove package spamoracle-byte, now spamoracle provides either native or
    bytecode version, depending on architecture.
  * Upgrade standards version to 3.8.2 (no change)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 30 Jun 2009 19:47:11 +0000

spamoracle (1.4-13) unstable; urgency=low

  [ Samuel Mimram ]
  * Switch packaging to git.
  * Use dh-ocaml.
  * Update compat to 7.
  * Update standards version to 3.8.0.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 21:58:31 +0100

spamoracle (1.4-12) unstable; urgency=low

  * Rebuild for ocaml 3.10.2
  * Add Sylvain Le Gall to uploaders

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 21 May 2008 23:34:49 +0200

spamoracle (1.4-11) unstable; urgency=high

  * add debian/control.in with the usual indirection to fill the Architecture
    field with the current list of architectures supported by the native code
    compiler (Closes: #469671)
  * add debian/README.Debian-source documenting the above change
  * make debian/rules fail when binary-arch is invoked on architectures which
    are missing /usr/bin/ocamlopt. It should never happen and probably will
    only if in the future we drop some more OCaml native architectures and
    forget to update this package
  * bump the urgency for the OCaml 3.10.1 transition

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 06 Mar 2008 16:08:49 +0100

spamoracle (1.4-10) unstable; urgency=medium

  [ Samuel Mimram ]
  * Added armel/armeb to the list of supported archs, closes: #429558.
  * Removed Sven from uploaders.

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir
  * bump standards-version to 3.7.3, no changes needed
  * bump debhelper compatibility level and dep to 6
  * bump urgency to medium for the OCaml 3.10.1 transition
  * add myself as an Uploader

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Mar 2008 15:33:28 +0100

spamoracle (1.4-9) unstable; urgency=low

  * Rebuild with OCaml 3.10.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 00:50:49 +0200

spamoracle (1.4-8) unstable; urgency=low

  * Rebuild with OCaml 3.08.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu, 18 May 2006 16:32:00 +0000

spamoracle (1.4-7) unstable; urgency=low

  * Added kfreebsd-i386 to the list of supported archs, closes: #346516.
  * Added a watch file.

 -- Samuel Mimram <smimram@debian.org>  Sun,  8 Jan 2006 17:52:42 +0100

spamoracle (1.4-6) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.

 -- Samuel Mimram <smimram@debian.org>  Sat,  7 Jan 2006 18:35:23 +0100

spamoracle (1.4-5) unstable; urgency=low

  * New maintainer: Debian OCaml maintainers. Added myself to uploaders.
  * Updated to OCaml 3.09.0.
  * No longer hardcoding OCaml's ABI.
  * Removed hppa from the list of supported native archs since the native
    compiler is broken.
  * Added manpage.dpatch to correct charset problems with the manpage.
  * Updated standards version to 3.6.2.

 -- Samuel Mimram <smimram@debian.org>  Tue,  3 Jan 2006 21:45:38 +0100

spamoracle (1.4-4) unstable; urgency=medium

  * Rebuilt for ocaml 3.08.3.

 -- Sven Luther <luther@debian.org>  Tue, 22 Mar 2005 08:49:17 +0100

spamoracle (1.4-3) unstable; urgency=low

  * Rebuilt for ocaml 3.08.
    - now hppa and amd64 are native built too. (Closes: #253273)
  * Now depend on -nox packages.

 -- Sven Luther <luther@debian.org>  Tue, 27 Jul 2004 13:09:15 +0200

spamoracle (1.4-2) unstable; urgency=low

  * Forgot dpatch build-dependency. (Closes: #228829)

 -- Sven Luther <luther@debian.org>  Wed, 21 Jan 2004 10:25:10 +0100

spamoracle (1.4-1) unstable; urgency=low

  * New upstream release. (Closes: #224204)
    - More lenient rule for ignoring HTML comments.
    - Recognition of S P A C E D  O-U-T words.
    - Fixed a bug causing certain text-only e-mails to be ignored.
    - Improved the "spamoracle test" command.
    - Added "spamoracle words" command for troubleshooting the word-splitting
      algorithm.
  * Dpatchification.

 -- Sven Luther <luther@debian.org>  Tue, 20 Jan 2004 18:25:52 +0100

spamoracle (1.3-3) unstable; urgency=low

  * Changed section to mail instead of net. (Closes: #194109)

 -- Sven Luther <luther@debian.org>  Sat,  4 Oct 2003 09:47:32 +0200

spamoracle (1.3-2) unstable; urgency=low

  * Rebuilt with ocaml 3.07.

 -- Sven Luther <luther@debian.org>  Wed,  1 Oct 2003 17:37:52 +0200

spamoracle (1.3-1) unstable; urgency=low

  * New upstream version :
    - Better scanning of words in HTML documents.
    - Better handling of multipart documents; now scan both text and HTML
      parts of a multipart/alternative.
    - Support for Portuguese and Japanese (JIS encoding)
    - Added configuration file (~/.spamoracle.conf) to allow twiddling
      with filtering parameters.
    - Fixed database corruption problem with concurrent adds.
      (Closes: #194012)
    - Handles gzipped databases.
    - Added manual pages.

 -- Sven Luther <luther@debian.org>  Mon, 26 May 2003 11:04:30 +0200

spamoracle (1.2-7) unstable; urgency=low

  * Fixed Typo in manpage. (Closes: #171409)

 -- Sven Luther <luther@debian.org>  Mon, 26 May 2003 11:04:17 +0200

spamoracle (1.2-6) unstable; urgency=low

  * Fixed Typo in manpage. (Closes: #173563)

 -- Sven Luther <luther@debian.org>  Sun, 22 Dec 2002 18:25:41 +0100

spamoracle (1.2-5) unstable; urgency=low



=== debian/control ===
Source: spamoracle
Section: net
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Stefano Zacchiroli <zack@debian.org>
Build-Depends: debhelper (>= 10), dh-ocaml, ocaml-nox (>= 3.11)
Standards-Version: 3.9.1
Homepage: http://pauillac.inria.fr/~xleroy/software.html#spamoracle
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/spamoracle.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/spamoracle.git

Package: spamoracle
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: spamoracle-byte
Replaces: spamoracle-byte
Provides: spamoracle-byte
Description: statistical analysis spam filter based on Bayes' formula
 SpamOracle, a.k.a. "Saint Peter", is a tool to help detect and filter away
 "spam" (unsolicited commercial e-mail). It proceeds by statistical analysis
 of the words that appear in the e-mail, comparing the frequencies of words
 with those found in a user-provided corpus of known spam and known legitimate
 e-mail. The classification algorithm is based on Bayes' formula, and is
 described in Paul Graham's paper, A plan for spam.
 .
 This program is designed to work in conjunction with procmail. The result of
 the analysis is output as an additional message header X-Spam:, followed by
 yes, no or unknown, plus additional details. A procmail rule can then test
 this X-Spam: header and deliver the e-mail to the appropriate mailbox.

=== debian/watch ===
version=3
http://pauillac.inria.fr/~xleroy/software/spamoracle-([\d\.]+).tar.gz

## spamoracle 1.6

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 BYTEOBJS=configfile.cmo config.cmo \
   htmlscan.cmo mail.cmo database.cmo mbox.cmo wordsplit.cmo \
-  rankmsg.cmo attachments.cmo processing.cmo main.cmo
+  refhosts.cmo rankmsg.cmo attachments.cmo processing.cmo main.cmo
 BYTELIBS=unix.cma str.cma
 
 NATOBJS=$(BYTEOBJS:.cmo=.cmx)

=== debian/changelog ===
spamoracle (1.6-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.6.2
  * Add Rules-Requires-Root: no
  * Remove Samuel from Uploaders

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Aug 2023 11:15:57 +0200

spamoracle (1.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release, fixes FTBFS with OCaml 4.08 (closes: #944235)
    - drop our patch 0003-Fix-compilation-with-OCaml-4.08.0
  * Build-depend on debian-compat
    - remove debian/compat
  * Debhelper compatibility level 12
  * Set debian/watch to github
  * Update homepage to github
  * Drop Breaks/Replaces/Provides spamoracle-byte as that package has been
    removed 10 years ago.
  * Standards-Version 4.4.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 11 Nov 2019 16:10:22 +0100

spamoracle (1.4-16) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Sep 2019 18:48:47 +0200

=== debian/control ===
Source: spamoracle
Section: net
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stefano Zacchiroli <zack@debian.org>
Build-Depends: debhelper-compat (= 13), dh-ocaml, ocaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/xavierleroy/spamoracle/
Vcs-Git: https://salsa.debian.org/ocaml-team/spamoracle.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/spamoracle

Package: spamoracle
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: statistical analysis spam filter based on Bayes' formula
 SpamOracle, a.k.a. "Saint Peter", is a tool to help detect and filter away
 "spam" (unsolicited commercial e-mail). It proceeds by statistical analysis
 of the words that appear in the e-mail, comparing the frequencies of words
 with those found in a user-provided corpus of known spam and known legitimate
 e-mail. The classification algorithm is based on Bayes' formula, and is
 described in Paul Graham's paper, A plan for spam.
 .
 This program is designed to work in conjunction with procmail. The result of
 the analysis is output as an additional message header X-Spam:, followed by
 yes, no or unknown, plus additional details. A procmail rule can then test
 this X-Spam: header and deliver the e-mail to the appropriate mailbox.

=== debian/watch ===
version=4

# upstream uses version numbers nn instead of n.n, and nnn instead of n.n.n

opts="uversionmangle=s/(\d)(\d)(\d?)/$1.$2.$3/;s/\.*$//" \
  https://github.com/xavierleroy/spamoracle/releases \
  .*/release(\d\S*)\.tar\.gz
